Package com.ngrok

# Enum NgrokApiClient.HttpMethod

java.lang.Object
java.lang.Enum<NgrokApiClient.HttpMethod>
com.ngrok.NgrokApiClient.HttpMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<NgrokApiClient.HttpMethod>`, `java.lang.constant.Constable`

Enclosing interface:
  NgrokApiClient

public static enum NgrokApiClient.HttpMethod extends Enum<NgrokApiClient.HttpMethod>
HTTP request methods

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETE`
  HTTP DELETE
  `GET`
  HTTP GET
  `PATCH`
  HTTP PATCH
  `POST`
  HTTP POST
  `PUT`
  HTTP PUT

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NgrokApiClient.HttpMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NgrokApiClient.HttpMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final NgrokApiClient.HttpMethod GET
    HTTP GET

  - ### POST

    public static final NgrokApiClient.HttpMethod POST
    HTTP POST

  - ### PUT

    public static final NgrokApiClient.HttpMethod PUT
    HTTP PUT

  - ### PATCH

    public static final NgrokApiClient.HttpMethod PATCH
    HTTP PATCH

  - ### DELETE

    public static final NgrokApiClient.HttpMethod DELETE
    HTTP DELETE

- ## Method Details

  - ### values

    public static NgrokApiClient.HttpMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NgrokApiClient.HttpMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null